> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xinobi-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Memory Bucket

> Create a new memory bucket to organize your content

## Headers

<ParamField header="X-API-Key" type="string" required>
  API authentication key (secret: xinobi)
</ParamField>

## Request Body

<ParamField body="name" type="string" required>
  Name of the memory bucket
</ParamField>

<ParamField body="description" type="string">
  Optional description for the memory bucket
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Whether the operation was successful
</ResponseField>

<ResponseField name="bucket_id" type="string">
  Unique identifier for the created bucket
</ResponseField>

<ResponseField name="unique_id" type="string">
  Unique identifier (same as bucket\_id)
</ResponseField>

<ResponseField name="name" type="string">
  Name of the created bucket
</ResponseField>

<ResponseField name="description" type="string">
  Description of the created bucket
</ResponseField>

<ResponseField name="created_at" type="string">
  ISO 8601 timestamp of creation
</ResponseField>

<ResponseField name="message" type="string">
  Success message
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://memoryapi-production.up.railway.app/memory-bucket/create" \
    -H "Content-Type: application/json" \
    -H "X-API-Key: xinobi" \
    -d '{
      "name": "My Memory Bucket",
      "description": "Personal memories and notes"
    }'
  ```

  ```json JSON Body theme={null}
  {
    "name": "My Memory Bucket",
    "description": "Personal memories and notes"
  }
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "bucket_id": "550e8400-e29b-41d4-a716-446655440000",
    "unique_id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "My Memory Bucket",
    "description": "Personal memories and notes",
    "created_at": "2024-01-01T00:00:00",
    "message": "New memory bucket created"
  }
  ```
</ResponseExample>

**Note:** When a bucket is created, it is automatically seeded with:

* A "hi" text memory
* A blank placeholder image
